WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Ultimate Google Analytics] Notice: has_cap was called with an argument

[Plugin: Ultimate Google Analytics] Notice: has_cap was called with an argument

  • Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /var/www/wordpress/wp-includes/functions.php on line 2722

    The following patch should fix this:

    diff –git a/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php b/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php
    index 945252e..94aa705 100755
    — a/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php
    +++ b/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php
    @@ -313,7 +313,7 @@
    uga_debug(‘Adding options page’);
    add_options_page(‘Ultimate Google Analytics’ /* page title */,
    ‘Ultimate GA’ /* menu title */,
    – 8 /* min. user level */,
    + ‘manage_options’ /* min. user level */,
    basename(__FILE__) /* php file */ ,
    ‘uga_options’ /* function for subpanel */);
    }

    http://wordpress.org/extend/plugins/ultimate-google-analytics/

  • The topic ‘[Plugin: Ultimate Google Analytics] Notice: has_cap was called with an argument’ is closed to new replies.